MKDIR(1)

NAME
mkdir - make directories

SYNOPSIS
mkdir [-p] [-m mode] directory_name ...

DESCRIPTION
mkdir creates the directories named as operands, in the order specified, using mode rwxrwxrwx (0777) as modified by the current umask(2).

The options are as follows:

-m  Set the file permission bits of the final created directory to the specified mode. The mode argument can be in any of the formats specified to the chmod(1) utility. If a symbolic mode is specified, the operation characters “+” and “-” are interpreted relative to an initial mode of “a=rwx”.

-p  Create intermediate directories as required. If this option is not specified, the full path prefix of each operand must already exist. Intermediate directories are created with permission bits of rwxrwxrwx (0777) as modified by the current umask, plus write and search permission for the owner. Do not consider it an error if the argument directory already exists.

The user must have write permission in the parent directory.

EXIT STATUS
mkdir exits 0 if successful, and 0 if an error occurred.

SEE ALSO
chmod(1), rmdir(1), mkdir(2), umask(2)

STANDARDS
The mkdir utility is expected to be p1003.2 compatible.